gtkmm: Gdk::Cairo Namespace Reference

gtkmm 2.24.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Namespace List
- Namespace Members

Functions

# Gdk::Cairo Namespace Reference

## Functions
void | set_source_color (::Cairo::RefPtr< ::Cairo::Context >& context, const Gdk::Color& color)
| Sets the specified Gdk::Color as the source color of the Cairo context.
void | set_source_color (const ::Cairo::RefPtr< ::Cairo::Context >& context, const Gdk::Color& color)
| Sets the specified Gdk::Color as the source color of the Cairo context.
void | set_source_pixbuf (::Cairo::RefPtr< ::Cairo::Context >& context, const Glib::RefPtr< Gdk::Pixbuf >& pixbuf, double pixbuf_x=0, double pixbuf_y=0)
| Sets the given pixbuf as the source pattern for the Cairo context.
void | set_source_pixbuf (const ::Cairo::RefPtr< ::Cairo::Context >& context, const Glib::RefPtr< Gdk::Pixbuf >& pixbuf, double pixbuf_x=0, double pixbuf_y=0)
| Sets the given pixbuf as the source pattern for the Cairo context.
void | set_source_pixmap (::Cairo::RefPtr< ::Cairo::Context >& context, const Glib::RefPtr< Gdk::Pixmap >& pixmap, double pixmap_x, double pixmap_y)
| Sets the given pixbuf as the source pattern for the Cairo context.
void | set_source_pixmap (const ::Cairo::RefPtr< ::Cairo::Context >& context, const Glib::RefPtr< Gdk::Pixmap >& pixmap, double pixmap_x, double pixmap_y)
| Sets the given pixbuf as the source pattern for the Cairo context.
void | rectangle (::Cairo::RefPtr< ::Cairo::Context >& context, const Gdk::Rectangle& rectangle)
| Adds the given rectangle to the current path of the context.
void | add_rectangle_to_path (const ::Cairo::RefPtr< ::Cairo::Context >& context, const Gdk::Rectangle& rectangle)
| Adds the given rectangle to the current path of the context.
void | region (::Cairo::RefPtr< ::Cairo::Context >& context, const Gdk::Region& region)
| Adds the given region to the current path of the context.
void | add_region_to_path (const ::Cairo::RefPtr< ::Cairo::Context >& context, const Gdk::Region& region)
| Adds the given region to the current path of the context.

## Function Documentation

void Gdk::Cairo::add_rectangle_to_path | ( | const ::Cairo::RefPtr< ::Cairo::Context > & | context,
|  | const Gdk::Rectangle& | rectangle
| ) |  |

Adds the given rectangle to the current path of the context.

Parameters:

  context | A cairo context.
  rectangle | A rectangle to add to the path of the context.

Since gtkmm 2.12:

void Gdk::Cairo::add_region_to_path | ( | const ::Cairo::RefPtr< ::Cairo::Context > & | context,
|  | const Gdk::Region& | region
| ) |  |

Adds the given region to the current path of the context.

Parameters:

  context | A cairo context.
  region | A region to add to the path of the context.

Since gtkmm 2.12:

void Gdk::Cairo::rectangle | ( | ::Cairo::RefPtr< ::Cairo::Context > & | context,
|  | const Gdk::Rectangle& | rectangle
| ) |  |

Adds the given rectangle to the current path of the context.

Parameters:

  context | A cairo context.
  rectangle | A rectangle to add to the path of the context.

Deprecated:
  Use add_rectangle_to_path() instead reference.

Since gtkmm 2.10:

void Gdk::Cairo::region | ( | ::Cairo::RefPtr< ::Cairo::Context > & | context,
|  | const Gdk::Region& | region
| ) |  |

Adds the given region to the current path of the context.

Parameters:

  context | A cairo context.
  region | A region to add to the path of the context.

Deprecated:
  Use add_region_to_path() instead

Since gtkmm 2.10:

void Gdk::Cairo::set_source_color | ( | const ::Cairo::RefPtr< ::Cairo::Context > & | context,
|  | const Gdk::Color& | color
| ) |  |

Sets the specified Gdk::Color as the source color of the Cairo context.

Parameters:

  @context | The cairo context.
  color | The color to use as the source color.

Since gtkmm 2.12:

void Gdk::Cairo::set_source_color | ( | ::Cairo::RefPtr< ::Cairo::Context > & | context,
|  | const Gdk::Color& | color
| ) |  |

Sets the specified Gdk::Color as the source color of the Cairo context.

Parameters:

  @context | The cairo context.
  color | The color to use as the source color.

Deprecated:
  Use the overloaded function that takes a const RefPtr reference.

Since gtkmm 2.10:

void Gdk::Cairo::set_source_pixbuf | ( | ::Cairo::RefPtr< ::Cairo::Context > & | context,
|  | const Glib::RefPtr< Gdk::Pixbuf >& | pixbuf,
|  | double | pixbuf_x = `0`,
|  | double | pixbuf_y = `0`
| ) |  |

Sets the given pixbuf as the source pattern for the Cairo context.

The pattern has an extend mode of CAIRO_EXTEND_NONE and is aligned so that the origin of pixbuf is pixbuf_x, pixbuf_y.

Parameters:

  @context | The cairo context.
  pixbuf | A Gdk::Pixbuf
  pixbuf_x | X coordinate of location to place upper left corner of pixbuf.
  pixbuf_y | Y coordinate of location to place upper left corner of pixbuf.

Deprecated:
  Use the overloaded function that takes a const RefPtr reference.

Since gtkmm 2.10:

void Gdk::Cairo::set_source_pixbuf | ( | const ::Cairo::RefPtr< ::Cairo::Context > & | context,
|  | const Glib::RefPtr< Gdk::Pixbuf >& | pixbuf,
|  | double | pixbuf_x = `0`,
|  | double | pixbuf_y = `0`
| ) |  |

Sets the given pixbuf as the source pattern for the Cairo context.

The pattern has an extend mode of CAIRO_EXTEND_NONE and is aligned so that the origin of pixbuf is pixbuf_x, pixbuf_y.

Parameters:

  @context | The cairo context.
  pixbuf | A Gdk::Pixbuf
  pixbuf_x | X coordinate of location to place upper left corner of pixbuf.
  pixbuf_y | Y coordinate of location to place upper left corner of pixbuf.

Since gtkmm 2.12:

void Gdk::Cairo::set_source_pixmap | ( | const ::Cairo::RefPtr< ::Cairo::Context > & | context,
|  | const Glib::RefPtr< Gdk::Pixmap >& | pixmap,
|  | double | pixmap_x,
|  | double | pixmap_y
| ) |  |

Sets the given pixbuf as the source pattern for the Cairo context.

The pattern has an extend mode of CAIRO_EXTEND_NONE and is aligned so that the origin of pixbuf is pixmap_x, pixmap_y.

Parameters:

  @context | The cairo context.
  pixmap | A Gdk::Pixmap
  pixmap_x | X coordinate of location to place upper left corner of pixmap.
  pixmap_y | Y coordinate of location to place upper left corner of pixmap.

Since gtkmm 2.12:

void Gdk::Cairo::set_source_pixmap | ( | ::Cairo::RefPtr< ::Cairo::Context > & | context,
|  | const Glib::RefPtr< Gdk::Pixmap >& | pixmap,
|  | double | pixmap_x,
|  | double | pixmap_y
| ) |  |

Sets the given pixbuf as the source pattern for the Cairo context.

The pattern has an extend mode of CAIRO_EXTEND_NONE and is aligned so that the origin of pixbuf is pixmap_x, pixmap_y.

Parameters:

  @context | The cairo context.
  pixmap | A Gdk::Pixmap
  pixmap_x | X coordinate of location to place upper left corner of pixmap.
  pixmap_y | Y coordinate of location to place upper left corner of pixmap.

Deprecated:
  Use the overloaded function that takes a const RefPtr reference.

Since gtkmm 2.10: